#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include "tty.h"
#include "main.h"

int	CamReset(void);
int     CamOk(void);
int	CamStatus(int);
int	CamHowmany(void);
int	CamFDelete(int);
extern int Camfd;

void
CloseCamera()
{
    if (!(Getfd() < 0)){
	CamReset();
	CamReset();
	CamReset();
	closetty(Getfd());
    }
}

int
InitCamera(char *devpath, int speed)
{
    Setfd(opentty(devpath, speed));

    if (Getfd() < 0)
	return -1;

    if (CamOk() < 0)
	return -1;
    
    return 0;
}

int
RemoveImage(int pos)
{
    Pic *t = &pics[pos];

    if(t->protect)
	return -1;

    if (CamFDelete(pos) < 0) {
	fprintf(stderr, "Delete picture %d failed\n", pos+1);
	return -1;
    }
    
    memcpy(&pics[pos], &pics[pos+1], (totalpics-pos-1)*sizeof(Pic));

    totalpics--;
    return 0;
}
